Loading...
Searching...
No Matches
PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, 1 > Struct Template Reference

`#include <openvdb/points/PointDataGrid.h>`

## Public Types

using | LeafNodeT = PointDataLeafNode<PointDataIndex32, ChildT::LOG2DIM>
using | InternalNodeT = tree::InternalNode<LeafNodeT, Log2Dim>
using | Type = TypeList<LeafNodeT, InternalNodeT>
using | SubtreeT
using | RootNodeT

## Member Typedef Documentation

## InternalNodeT

template<typename ChildT, Index Log2Dim>

using InternalNodeT = tree::InternalNode<LeafNodeT, Log2Dim>

## LeafNodeT

template<typename ChildT, Index Log2Dim>

using LeafNodeT = PointDataLeafNode<PointDataIndex32, ChildT::LOG2DIM>

## RootNodeT

using RootNodeT

## SubtreeT

using SubtreeT

## Type

template<typename ChildT, Index Log2Dim>

using Type = TypeList<LeafNodeT, InternalNodeT>